Bug 806897 - IPMI: return code can be invalid
Summary: IPMI: return code can be invalid
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: fence-agents
Version: 6.4
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Marek Grac
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks: 1012574
TreeView+ depends on / blocked
 
Reported: 2012-03-26 12:58 UTC by Marek Grac
Modified: 2013-10-07 13:51 UTC (History)
5 users (show)

Fixed In Version: fence-agents-3.1.5-16.el6
Doc Type: Bug Fix
Doc Text:
* Prior to this update, the fence agent for IPMI (Intelligent Platform Management Interface) could return an invalid return code when the "-M cycle" option was used. This invalid return code could cause invalid interpretation of success of a fence action, eventually causing the cluster to become unresponsive. This bug has been fixed and only predefined return codes are now returned in the described scenario.
Clone Of:
Environment:
Last Closed: 2012-06-20 14:40:36 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2012:0943 normal SHIPPED_LIVE fence-agents bug fix and enhancement update 2012-06-19 21:00:16 UTC

Description Marek Grac 2012-03-26 12:58:44 UTC
IPMI fence agent can return invalid return code when used with method "cycle"

[marx@nox ipmilan]$ ./fence_ipmilan -a ibm-x3250m3-01-imm -l USER -p PASS -o reboot -M cycle; echo $?

Rebooting machine @ IPMI:ibm-x3250m3-01-imm.mpc.lab.eng.bos.redhat.com...Done
255

Comment 8 errata-xmlrpc 2012-06-20 14:40:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-0943.html


Note You need to log in before you can comment on or make changes to this bug.